После клонирования репозитория, выполняем по очереди команды:<br/>
````
$ cp .env.example .env
$ chmod -R 777 storage
$ npm install
$ php composer install
$ php artisan vendor:publish
$ php artisan key:generate
````

После этого редактируем .env файл, а именно нужно подключить базу<br/>
Открываем файл и смотрим сюда:<br/>
DB_CONNECTION=mysql<br/>
DB_HOST=127.0.0.1<br/>
DB_PORT=3306<br/>
DB_DATABASE=homestead<br/>
DB_USERNAME=homestead<br/>
DB_PASSWORD=secret<br/>

Если пользуемся mysql со стандартными настройками, то первые 3 строки не меняем.<br/>
DB_DATABASE - сюда пишем имя базы которую получили после выполнения команды в mysql, пример:<br/>
mysql> CREATE DATABASE geolook;<br/>
в .env DB_DATABASE=geolook<br/>
DB_USERNAME и DB_PASSWORD, логин и пароль по которому заходите в mysql, пример:<br/>
$ mysql -uroot -psecret<br/>
в .env DB_USERNAME=root и DB_PASSWORD=secret

обновляем кеш настроек, что бы они соответствовали новому .env<br/>
````
$ php artisan config:cache
````
Тепрь когда есть подключение к базе, запускаем миграции<br/>
````
$ php artisan migrate --seed
````
Флаг --seed запускает миграции, которые находятся в database/seeds

Для работы с git создаем каждый ветку со своей фамилией:<br/>
````
$ git checkout -b фамилия
````
После чего написанный код пушим так:<br/>
````
$ git push origin фамилия
````
Открываем http://gitlab.a-level.com.ua/gitgod/geolook/, ищем вкладку Ветки<br/>
смотрим раздел Активные ветки, на против своей фамилии жмем "Новый запрос на слияние"<br/>
Заполняем заголовок, коротко для чего нужен merge,<br/>
ниже коментарии, можно более подробно<br/>
и еще ниже жмем "Создать запрос на слияние".<br/>
Если видите надпись "Этот запрос на слияние может быть объединён автоматически"<br/>
кнопку "Слить пулл-реквест не жмем"!<br/>
Во избежание бардака, давайте сливать будет кто-то один, если никто не возражает - я<br/>
Пишите в телегу после пуша.<br/>

Не забываем делать git pull origin master для обновления своей ветки в соответствии с master.<br/>
Если после пула увидели след изменения, то выполняем соответсвенные комманды:<br/>
в папке /database/migrations/<br/>
````
$ php artisan migrate
````
в папке /config/<br/>
````
$ php artisan config:cache
````

файл composer.lock<br/>
````
$ php composer install
$ php artisan config:cache
````
файл package-lock.json
````
$ npm install
````
